; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1																	
ANZEIGE_2_STELLEN_TEMP1:
	; BERLAUF ?		
	cpi temp1,99+1
	brlo ANZEIGE_2_STELLEN_TEMP1_w
	call ASCII_MINUS
	jmp ASCII_MINUS
;-------------------------------------------------------------------------------
ANZEIGE_2_STELLEN_TEMP1_w:
	clr temp2
	clr temp3
	clr temp4
 	rcall FUNCTION_HEX_ASC_32	; INPUT: temp1...4 OUTPUT: Temp1...9 (temp)		
	jmp ANZEIGE_ZAHL_2_STELLEN_KURZ
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1																	
ANZEIGE_3_STELLEN_TEMP1:
	clr temp2
	clr temp3
	clr temp4
 	rcall FUNCTION_HEX_ASC_32	; INPUT: temp1...4 OUTPUT: Temp1...9+temp		
	jmp ANZEIGE_ZAHL_3_STELLEN_KURZ
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1 + TEMP2															
ANZEIGE_5_STELLEN_TEMP1_TEMP2:
	clr temp3
	clr temp4
 	rcall FUNCTION_HEX_ASC_32
	jmp ANZEIGE_ZAHL_5_STELLEN_KURZ
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1															  		
; z.B. +32767																	
; z.B. -32768																	
ANZEIGE_5_STELLEN_SIGNIERT_TEMP1_TEMP2:
	tst temp2
	brmi ANZEIGE_5_STELLEN_SIGNIERT_TEMP1_TEMP2_n
	call ASCII_PLUS	; VORZEICHEN	
	rjmp ANZEIGE_5_STELLEN_TEMP1_TEMP2
ANZEIGE_5_STELLEN_SIGNIERT_TEMP1_TEMP2_n:
	call ASCII_MINUS	; VORZEICHEN	
	COM temp1			; BETRAG bilden	
	COM temp2
	add temp1,EINS
	adc temp2,NULL
	jmp ANZEIGE_5_STELLEN_TEMP1_TEMP2
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1 + TEMP2 + TEMP3													
ANZEIGE_8_STELLEN_TEMP1_TEMP2_TEMP3:
	clr temp4
 	call FUNCTION_HEX_ASC_32
	jmp ANZEIGE_ZAHL_8_STELLEN_KURZ
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1 + TEMP2 + TEMP3 + TEMP4											
ANZEIGE_8_STELLEN_TEMP1_TEMP2_TEMP3_TEMP4:
 	call FUNCTION_HEX_ASC_32
	jmp  ANZEIGE_ZAHL_8_STELLEN_KURZ
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 	(0...4.294.967.295)															
; INPUT: TEMP1 + TEMP2 + TEMP3 + TEMP4											
ANZEIGE_10_STELLEN_TEMP1_TEMP2_TEMP3_TEMP4:
 	call FUNCTION_HEX_ASC_32
	jmp  ANZEIGE_ZAHL_10_STELLEN_KURZ
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INPUT: TEMP1...TEMP9 (temp)													
ANZEIGE_ZAHL_10_STELLEN_KURZ:
	; temp !
	call ASCII_TEMP			; 10.ZEICHEN 	
ANZEIGE_ZAHL_9_STELLEN_KURZ:
	mov temp, temp9			; 9.ZEICHEN 
	call ASCII_TEMP	
ANZEIGE_ZAHL_8_STELLEN_KURZ:
	mov temp, temp8			; 8.ZEICHEN 
	call ASCII_TEMP
ANZEIGE_ZAHL_7_STELLEN_KURZ:
	mov temp, temp7			; 7.ZEICHEN 
	call ASCII_TEMP	
ANZEIGE_ZAHL_6_STELLEN_KURZ:
	mov temp, temp6			; 6.ZEICHEN 
	call ASCII_TEMP
ANZEIGE_ZAHL_5_STELLEN_KURZ:
	mov temp, temp5			; 5.ZEICHEN 
	call ASCII_TEMP
ANZEIGE_ZAHL_4_STELLEN_KURZ:
	mov temp, temp4			; 4.ZEICHEN 
	call ASCII_TEMP
ANZEIGE_ZAHL_3_STELLEN_KURZ:
	mov temp, temp3			; 3.ZEICHEN 
	call ASCII_TEMP	
ANZEIGE_ZAHL_2_STELLEN_KURZ:
	mov temp, temp2			; 2.ZEICHEN 
	call ASCII_TEMP	
ANZEIGE_ZAHL_1_STELLEN_KURZ:
	mov temp, temp1			; 1.ZEICHEN (1-er Stelle)	
	jmp ASCII_TEMP
; ##############################################################################
; ##############################################################################
; ##############################################################################
; VERSION: 11/2014															
;																			
;	Value: 0...	4.294.967.295 (0xFFFFFFFF)									
;																			
;	INPUT: 	temp1	(BYTE1)													
;	 		temp2	(BYTE2)													
;			temp3	(BYTE3)													
;			temp4	(BYTE4)													
;																			
;	OUTPUT:	temp1	(		     1-er Stelle)								
;			temp2	(		    10-er Stelle)								
;			temp3	(          100-er Stelle)								
;			temp4	(        1.000-er Stelle)								
;			temp5	(       10.000-er Stelle)								
;			temp6	(      100.000-er Stelle)								
;			temp7	(    1.000.000-er Stelle)								
;			temp8	(   10.000.000-er Stelle)								
;			temp9	(  100.000.000-er Stelle)								
;			temp	(1.000.000.000-er Stelle)								
; 																			
FUNCTION_HEX_ASC_32:
;---------------------------------------------------------------------------
	clr temp			
FUNCTION_HEX_ASC_10:	; 1.000.000.000er Stelle
	inc temp
	subi temp1, BYTE1    (1000000000)
	sbci temp2, BYTE2    (1000000000)
	sbci temp3, BYTE3    (1000000000)
	sbci temp4, BYTE4    (1000000000)
	brcc FUNCTION_HEX_ASC_10
	subi temp, (-48+1)	; HEX->ASC	
	subi temp1, BYTE1   (-1000000000)
	sbci temp2, BYTE2   (-1000000000)
	sbci temp3, BYTE3   (-1000000000)
	sbci temp4, BYTE4   (-1000000000)
;---------------------------------------------------------------------------
	clr temp9			
FUNCTION_HEX_ASC_9:	; 100.000.000er Stelle
	inc temp9
	subi temp1, BYTE1    (100000000)
	sbci temp2, BYTE2    (100000000)
	sbci temp3, BYTE3    (100000000)
	sbci temp4, BYTE4    (100000000)
	brcc FUNCTION_HEX_ASC_9
	subi temp9, (-48+1)	; HEX->ASC	
	subi temp1, BYTE1   (-100000000)
	sbci temp2, BYTE2   (-100000000)
	sbci temp3, BYTE3   (-100000000)
	sbci temp4, BYTE4   (-100000000)
;---------------------------------------------------------------------------
	clr temp8
FUNCTION_HEX_ASC_8:	; 10.000.000er Stelle
	inc temp8
	subi temp1, BYTE1    (10000000)
	sbci temp2, BYTE2    (10000000)
	sbci temp3, BYTE3    (10000000)
	sbci temp4, BYTE4    (10000000)
	brcc FUNCTION_HEX_ASC_8
	subi temp8, (-48+1)	; HEX->ASC	
	subi temp1, BYTE1   (-10000000)
	sbci temp2, BYTE2   (-10000000)
	sbci temp3, BYTE3   (-10000000)
	sbci temp4, BYTE4   (-10000000)
;---------------------------------------------------------------------------
	clr temp7
FUNCTION_HEX_ASC_7:	; 1.000.000er Stelle
	inc temp7
	subi temp1, BYTE1    (1000000)
	sbci temp2, BYTE2    (1000000)
	sbci temp3, BYTE3    (1000000)
	brcc FUNCTION_HEX_ASC_7
	subi temp7, (-48+1)	; HEX->ASC	
	subi temp1, BYTE1   (-1000000)
	sbci temp2, BYTE2   (-1000000)
	sbci temp3, BYTE3   (-1000000)
;---------------------------------------------------------------------------
	clr temp6
FUNKTION_HEX_ASC_6:	; 100.000er Stelle
	inc temp6
	subi temp1, BYTE1    (100000)
	sbci temp2, BYTE2    (100000)
	sbci temp3, BYTE3    (100000)
	brcc FUNKTION_HEX_ASC_6
	subi temp6, (-48+1)	; HEX->ASC	
	subi temp1, BYTE1   (-100000)
	sbci temp2, BYTE2   (-100000)
	sbci temp3, BYTE3   (-100000)
;---------------------------------------------------------------------------	clr temp
	clr temp5
FUNCTION_HEX_ASC_5:	; 10.000er Stelle
	inc temp5
	subi temp1, BYTE1    (10000)
	sbci temp2, BYTE2    (10000)
	sbci temp3, BYTE3    (10000)
	brcc FUNCTION_HEX_ASC_5
	subi temp5, (-48+1)	; HEX->ASC	
	subi temp1, BYTE1  (-10000)
	sbci temp2, BYTE2  (-10000)
	sbci temp3, BYTE3  (-10000)
;---------------------------------------------------------------------------
	clr temp4
FUNCTION_HEX_ASC_4:	; 1.000er Stelle
	inc temp4
	subi temp1, low  (1000)
	sbci temp2, HIGH (1000)
	brcc FUNCTION_HEX_ASC_4
	subi temp4, (-48+1)	; HEX->ASC	
	subi temp1, low  (-1000)
	sbci temp2, HIGH (-1000)
;---------------------------------------------------------------------------
	clr temp3
FUNCTION_HEX_ASC_3:	; 100er Stelle
	inc temp3
	subi temp1, low  (100)
	sbci temp2, HIGH (100)
	brcc FUNCTION_HEX_ASC_3
	subi temp3, (-48+1)	; HEX->ASC	
	subi temp1, low  (-100)
	sbci temp2, HIGH (-100)
;---------------------------------------------------------------------------
	clr temp2
FUNCTION_HEX_ASC_2:	; 10er Stelle
	inc temp2
	subi temp1, low  (10)
	brcc FUNCTION_HEX_ASC_2
	subi temp2, (-48+1)	; HEX->ASC	
	subi temp1, low  (-10)
;---------------------------------------------------------------------------
FUNCTION_HEX_ASC_1:	; 1er Stelle
	subi temp1, -48		; HEX->ASC	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; INP: temp1																
; OUT: (z.B."FF") 															
;																			
ANZEIGE_HEX_TEMP1:
	; SICHERUNGSKOPIE						
	push temp
	push temp1
	; oberes NIBBLE bearbeiten				
	mov temp,temp1	
	swap temp						; NIBBLES tausch	
	call ANZEIGE_HEX_UMWANDLUNG	; INP/OUT: temp		
	call ASCII_TEMP
	; unteres NIBBLE bearbeiten				
	mov temp,temp1	
	call ANZEIGE_HEX_UMWANDLUNG	; INP/OUT: temp		
	call ASCII_TEMP
	; SICHERUNGSKOPIE wieder herstellen		
	pop temp1
	pop temp
	ret
;-------------------------------------------------------------------------------
ANZEIGE_HEX_UMWANDLUNG:
	; BITMUSTER	
	andi temp,0b00001111
	; vergleich	
	cpi temp,10
	brsh ANZEIGE_HEX_UMWANDLUNG_A_F
ANZEIGE_HEX_UMWANDLUNG_0_9:
	subi temp,-48
	ret
ANZEIGE_HEX_UMWANDLUNG_A_F:
	subi temp,-48-7
	ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
