; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE:
	LDS temp1,(adr_TASTE)
	cpi temp1,(TASTE_MENUE_PLUS)		; vergleich TASTENWERT		
	brne MENUE_PLUS_FERTIG
	LDS temp,(adr_MENUE)
	inc temp						; MENUE+1					
	STS(adr_MENUE),temp
MENUE_PLUS_FERTIG:
;-------------------------------------------------------------------------------
	cpi temp1,(TASTE_MENUE_MINUS)	; vergleich TASTENWERT		
	brne MENUE_MINUS_FERTIG
	LDS temp,(adr_MENUE)
	tst temp						; berlauf	?
	breq MENUE_MINUS_FERTIG
	dec temp						; MENUE-1					
	STS(adr_MENUE),temp
MENUE_MINUS_FERTIG:
;-------------------------------------------------------------------------------
	; GRAFIC clear					
	tst temp1
	breq TASTEN_MENUE_ACTION
	call GRAFIC_CLEAR
;-------------------------------------------------------------------------------
TASTEN_MENUE_ACTION:
	LDS temp,(adr_MENUE)		; MENUE						
	ldi ZL,LOW (TASTEN_MENUE_SRUNGMARKE)	; Z-initialisieren	
	ldi ZH,HIGH(TASTEN_MENUE_SRUNGMARKE)
	add ZL,temp
	adc ZH,NULL
	ijmp 					; SPRUNG nach Z	(rjmp->1Words jmp->2Words) 
;-------------------------------------------------------------------------------
TASTEN_MENUE_SRUNGMARKE:
	rjmp MENUE_DIAGRAMM
	rjmp MENUE_DIAGRAMM_ANZEIGE
	rjmp MENUE_INFO
	rjmp MENUE_STATUS
	rjmp MENUE_WARNUNG
	rjmp MENUE_EDIT_HH
	rjmp MENUE_EDIT_MM
	rjmp MENUE_EDIT_SS
	rjmp MENUE_EDIT_TAG
	rjmp MENUE_EDIT_MONAT
	rjmp MENUE_EDIT_JAHR
	rjmp MENUE_EDIT_WOCHENTAG
	rjmp MENUE_EDIT_ALARM_SCHWELLE
	rjmp MENUE_PARAMETER_SAVE
	rjmp MENUE_EEPROM_CLEAR
	rjmp MENUE_ASCII_ZEICHENSATZ
	; BERLAUF		
	STS(adr_MENUE),NULL
	STS(adr_TASTE),NULL
	rjmp MENUE
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_DIAGRAMM:
	cbi (LED_GRUEN_PORT),LED_GRUEN_PIN_NR		; GRN an   
	call DIAGRAMM_BERECHNUNG_ALARM
	call DIAGRAMM_ZEICHNEN
	sbi (LED_GRUEN_PORT),LED_GRUEN_PIN_NR		; GRN aus  
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_DIAGRAMM_ANZEIGE:

	LDS temp1,(adr_DIAGRAMM_NR)
	call TASTEN_WERT_PLUS_MINUS_TEMP1
	STS (adr_DIAGRAMM_NR),temp1

	call DIAGRAMM_LOAD_TEMP1
	call WAIT_10ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_STATUS:
	call ANZEIGE_STATUS
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_INFO:
	call ANZEIGE_BEGRUESSUNG
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_WARNUNG:
	call ASCII_CURSOR_ZEILE_2
	call ASCII_W
	call ASCII_A
	call ASCII_R
	call ASCII_N
	call ASCII_U
	call ASCII_N
	call ASCII_G

	call ASCII_CURSOR_ZEILE_4
	LDS temp1,(adr_WARNUNG_CODE)
	call ANZEIGE_3_STELLEN_TEMP1

	call ASCII_CURSOR_ZEILE_6
	LDS temp1,(adr_WARNUNG_WERT1)
	call ANZEIGE_3_STELLEN_TEMP1
	call ASCII_CURSOR_ZEILE_7
	LDS temp1,(adr_WARNUNG_WERT2)
	call ANZEIGE_3_STELLEN_TEMP1
	call ASCII_CURSOR_ZEILE_8
	LDS temp1,(adr_WARNUNG_WERT3)
	call ANZEIGE_3_STELLEN_TEMP1
	call ASCII_CURSOR_ZEILE_9
	LDS temp1,(adr_WARNUNG_WERT4)
	call ANZEIGE_3_STELLEN_TEMP1

	call WAIT_100ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_ASCII_ZEICHENSATZ:
	clr temp
MENUE_ASCII_s:
	call ASCII_TEMP
	inc temp
	cpi temp,220
	brne MENUE_ASCII_s
	call WAIT_10ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_HH:
	; hh					
	call ASCII_CURSOR_ZEILE_6
	call ANZEIGE_TEXT_EDIT_KURZ
	call ASCII_S
	call ASCII_T
	call ASCII_U
	call ASCII_N
	call ASCII_D
	call ASCII_E

	LDS temp1,(adr_hh)
	call TASTEN_WERT_PLUS_MINUS_TEMP1
	STS (adr_hh),temp1

	call ASCII_CURSOR_ZEILE_9
	call ANZEIGE_ZEIT_KURZ	; ZEIT	
	ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_MM:
	; mm					
	call ASCII_CURSOR_ZEILE_6
	call ANZEIGE_TEXT_EDIT_KURZ
	call ASCII_M
	call ASCII_I
	call ASCII_N
	call ASCII_U
	call ASCII_T
	call ASCII_E

	LDS temp1,(adr_mm)
	call TASTEN_WERT_PLUS_MINUS_TEMP1
	STS (adr_mm),temp1

	call ASCII_CURSOR_ZEILE_9
	call ANZEIGE_ZEIT_KURZ	; ZEIT	
	ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_SS:
	; ss					
	call ASCII_CURSOR_ZEILE_6
	call ANZEIGE_TEXT_EDIT_KURZ
	call ASCII_S
	call ASCII_E
	call ASCII_K
	call ASCII_U
	call ASCII_N
	call ASCII_D
	call ASCII_E

	LDS temp1,(adr_ss)
	call TASTEN_WERT_PLUS_MINUS_TEMP1
	STS (adr_ss),temp1

	call ASCII_CURSOR_ZEILE_9
	call ANZEIGE_ZEIT_KURZ	; ZEIT	
	ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_TAG:
	; TAG					
	call ASCII_CURSOR_ZEILE_6
	call ANZEIGE_TEXT_EDIT_KURZ
	call ASCII_T
	call ASCII_A
	call ASCII_G

	LDS temp1,(adr_TAG)
	call TASTEN_WERT_PLUS_MINUS_TEMP1
	STS (adr_TAG),temp1

	call ASCII_CURSOR_ZEILE_9
	call ANZEIGE_WOCHENTAG_KURZ
	call ASCII_SPACE
	call ANZEIGE_DATUM_KURZ	; DATUM	
	ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_MONAT:
	; MONAT					
	call ASCII_CURSOR_ZEILE_6
	call ANZEIGE_TEXT_EDIT_KURZ
	call ASCII_M
	call ASCII_O
	call ASCII_N
	call ASCII_A
	call ASCII_T

	LDS temp1,(adr_MONAT)
	call TASTEN_WERT_PLUS_MINUS_TEMP1
	STS (adr_MONAT),temp1

	call ASCII_CURSOR_ZEILE_9
	call ANZEIGE_WOCHENTAG_KURZ
	call ASCII_SPACE
	call ANZEIGE_DATUM_KURZ	; DATUM	
	ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_JAHR:
	; JAHR					
	call ASCII_CURSOR_ZEILE_6
	call ANZEIGE_TEXT_EDIT_KURZ
	call ASCII_J
	call ASCII_A
	call ASCII_H
	call ASCII_R

	LDS temp1,(adr_JAHR)
	call TASTEN_WERT_PLUS_MINUS_TEMP1
	STS (adr_JAHR),temp1

	call ASCII_CURSOR_ZEILE_9
	call ANZEIGE_WOCHENTAG_KURZ
	call ASCII_SPACE
	call ANZEIGE_DATUM_KURZ	; DATUM	
	ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_WOCHENTAG:
	; WOCHENTAG					
	call ASCII_CURSOR_ZEILE_6
	call ANZEIGE_TEXT_EDIT_KURZ
	call ASCII_W
	call ASCII_O
	call ASCII_C
	call ASCII_H
	call ASCII_E
	call ASCII_N
	call ASCII_MINUS
	call ASCII_T
	call ASCII_A
	call ASCII_G



	LDS temp1,(adr_WOCHENTAG)
	call TASTEN_WERT_PLUS_MINUS_TEMP1
	STS (adr_WOCHENTAG),temp1

	call ASCII_CURSOR_ZEILE_9
	call ANZEIGE_WOCHENTAG_KURZ
	call ASCII_SPACE
	call ANZEIGE_DATUM_KURZ	; DATUM	
	ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_ALARM_SCHWELLE:
	; ALARM_SCHWELLE					
	call ASCII_CURSOR_ZEILE_6
	call ANZEIGE_TEXT_EDIT_KURZ
	call ASCII_A
	call ASCII_L
	call ASCII_A
	call ASCII_R
	call ASCII_M
	call ASCII_MINUS
	call ASCII_S
	call ASCII_C
	call ASCII_H
	call ASCII_W
	call ASCII_E
	call ASCII_L
	call ASCII_L
	call ASCII_E

	LDS temp1,(adr_BMA020_ALARM_SCHWELLE)
	call TASTEN_WERT_PLUS_MINUS_TEMP1
	STS (adr_BMA020_ALARM_SCHWELLE),temp1

	call ASCII_CURSOR_ZEILE_9
	LDS temp1,(adr_BMA020_ALARM_SCHWELLE)
	call ANZEIGE_3_STELLEN_TEMP1
	ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_PARAMETER_SAVE:
	call ASCII_CURSOR_ZEILE_6
	call ASCII_P
	call ASCII_A
	call ASCII_R
	call ASCII_A
	call ASCII_M
	call ASCII_E
	call ASCII_T
	call ASCII_E
	call ASCII_R
	call ASCII_SPACE
	call ASCII_S
	call ASCII_A
	call ASCII_V
	call ASCII_E

	call ASCII_CURSOR_ZEILE_8
	call ASCII_d_
	call ASCII_u_
	call ASCII_r_
	call ASCII_c_
	call ASCII_h_
	call ASCII_SPACE
	call ASCII_T
	call ASCII_A
	call ASCII_S
	call ASCII_T
	call ASCII_E
	call ASCII_SPACE
	call ASCII_PLUS

	clr temp1
	call TASTEN_WERT_PLUS_MINUS_TEMP1
	tst temp1
	brne MENUE_SAVE_RESET_w
	ret
MENUE_SAVE_RESET_w:
	; ANZEIGE				
	call GRAFIC_CLEAR
	call ASCII_CURSOR_ZEILE_6
	call ANZEIGE_TEXT_WAIT_KURZ
	call ASCII_PUNKT
	call wait_1s
	call EEPROM_KONFIGURATION_SPEICHERN
	call ASCII_PUNKT
	call wait_1s
	call DS1307_UHR_STELLEN_INITIALISIEREN
	call ASCII_PUNKT
	call wait_1s
	; NEUSTART				
	call ANZEIGE_NEUSTART
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EEPROM_CLEAR:
	call ASCII_CURSOR_ZEILE_6
	call ASCII_D
	call ASCII_I
	call ASCII_A
	call ASCII_G
	call ASCII_R
	call ASCII_A
	call ASCII_M
	call ASCII_M
	call ASCII_E
	call ASCII_SPACE
	call ASCII_E
	call ASCII_E
	call ASCII_P
	call ASCII_R
	call ASCII_O
	call ASCII_M
	call ASCII_SPACE
	call ASCII_C
	call ASCII_L
	call ASCII_E
	call ASCII_A
	call ASCII_R
	call ASCII_CURSOR_ZEILE_8
	call ASCII_d_
	call ASCII_u_
	call ASCII_r_
	call ASCII_c_
	call ASCII_h_
	call ASCII_SPACE
	call ASCII_T
	call ASCII_A
	call ASCII_S
	call ASCII_T
	call ASCII_E
	call ASCII_SPACE
	call ASCII_PLUS

	clr temp1
	call TASTEN_WERT_PLUS_MINUS_TEMP1
	tst temp1
	brne MENUE_EEPROM_CLEAR_w
	ret
MENUE_EEPROM_CLEAR_w:
	; ANZEIGE				
	call GRAFIC_CLEAR
	call ASCII_CURSOR_ZEILE_6
	call ANZEIGE_TEXT_WAIT_KURZ
	call WAIT_1s
	call TWI_EEPROM_CLEAR
	call WAIT_1s
	call WAIT_1s
	; NEUSTART				
	call ANZEIGE_NEUSTART
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
