; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTEN_INITIALISIERUNG:
	; auf EINGANG						
	cbi (TASTE_A_DDR) ,(TASTE_A_PIN_NR) 
	cbi (TASTE_B_DDR) ,(TASTE_B_PIN_NR) 
	cbi (TASTE_C_DDR) ,(TASTE_C_PIN_NR) 
	cbi (TASTE_D_DDR) ,(TASTE_D_PIN_NR) 
	; PULL UP ein						
	sbi (TASTE_A_PORT),(TASTE_A_PIN_NR) 		
	sbi (TASTE_B_PORT),(TASTE_B_PIN_NR) 		
	sbi (TASTE_C_PORT),(TASTE_C_PIN_NR) 		
	sbi (TASTE_D_PORT),(TASTE_D_PIN_NR) 		
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTEN_CHECK:
	rcall TASTEN_ABFRAGE
	LDS temp,(adr_TASTE)
	tst temp
	brne TASTEN_CHECK_ERROR
	ret
;-------------------------------------------------------------------------------
TASTEN_CHECK_ERROR:
	call GRAFIC_CLEAR
	call ASCII_T
	call ASCII_A
	call ASCII_S
	call ASCII_T
	call ASCII_E
	call ASCII_N
	call ASCII_SPACE
	call ASCII_E
	call ASCII_R
	call ASCII_R
	call ASCII_O
	call ASCII_R
	call WAIT_100ms
	rjmp TASTEN_CHECK
; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTEN_ABFRAGE:
	clr temp
	sbis (TASTE_A_PIN),(TASTE_A_PIN_NR)	; springe, wenn...	
	ori temp,0b00000001
	sbis (TASTE_B_PIN),(TASTE_B_PIN_NR)	; springe, wenn...	
	ori temp,0b00000010
	sbis (TASTE_C_PIN),(TASTE_C_PIN_NR)	; springe, wenn...	
	ori temp,0b00000100
	sbis (TASTE_D_PIN),(TASTE_D_PIN_NR)	; springe, wenn...	
	ori temp,0b00001000
	STS(adr_TASTE),temp					; speichern			
	cpi temp,12
	breq TASTEN_ABFRAGE_RESET
	ret
;-------------------------------------------------------------------------------
TASTEN_ABFRAGE_RESET:
	; NEUSTART				
	call ANZEIGE_NEUSTART
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTEN_WAIT:
	LDS temp,(adr_TASTE)
	tst temp
	brne TASTEN_WAIT_RUN
	ret
TASTEN_WAIT_RUN:
	sbi (LED_GELB_PORT),LED_GELB_PIN_NR			; GELB aus	
	call wait_100ms
	call wait_100ms
	call wait_100ms
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTEN_WERT_PLUS_MINUS_TEMP1:
	LDS temp,(adr_TASTE)			; TASTE						
	cpi temp,(TASTE_PLUS)
	brne TASTEN_WERT_PLUS_MINUS_TEMP1_N
	inc temp1
	ret
TASTEN_WERT_PLUS_MINUS_TEMP1_N:
	cpi temp,(TASTE_MINUS)
	brne TASTEN_WERT_PLUS_MINUS_TEMP1_F
	dec temp1
	ret
TASTEN_WERT_PLUS_MINUS_TEMP1_F:
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################


