;																				
; Warteschleifen																
; Version: 10/2015																
; 22 MHz Takt																	
; 																				
; Hinweis: die Wartezeiten stimmen nur dann, wenn kein Interruptaufruf erfolgt	
;																				
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 1s PAUSE																		
; bei 22 MHZ (22 TAKTE)															
; rcall 4 TAKTE																	
; call  5 TAKTE																	
; ret   5 TAKTE																	
WAIT_1us:	; 5
	NOP		; 1	
	NOP		; 2	
	NOP		; 3	
	NOP		; 4	
	NOP		; 5	
	NOP		; 6	
	NOP		; 7	
	NOP		; 8	
	NOP		; 9	
	NOP		; 10
	NOP		; 11
	NOP		; 12
ret			; 5
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 1,5 s PAUSE																	
; bei 22 MHZ (33 TAKTE)															
; rcall 4 TAKTE																	
; call  5 TAKTE																	
; ret   5 TAKTE																	
WAIT_1_5us:			; 5
	call WAIT_1us 	; (22 TAKTE)	
	NOP				; 1	
ret					; 5
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 2 s PAUSE																	
; bei 22 MHZ (44 TAKTE)															
; rcall 4 TAKTE																	
; call  5 TAKTE																	
; ret   5 TAKTE																	
WAIT_2us:			; 5
	call WAIT_1us 	; (22 TAKTE)	
	NOP				; 1	
	NOP				; 2	
	NOP				; 3	
	NOP				; 4	
	NOP				; 5	
	NOP				; 6	
	NOP				; 7	
	NOP				; 8	
	NOP				; 9	
	NOP				; 10
	NOP				; 11
	NOP				; 12
ret					; 5
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 2,35s PAUSE																	
; bei 22 MHZ (52 51,7 TAKTE)													
; rcall 4 TAKTE																	
; call  5 TAKTE																	
; ret   5 TAKTE																	
WAIT_2_35us:		; 5	
	call WAIT_1us 	; (22 TAKTE)	
	NOP				; 1	
	NOP				; 2	
	NOP				; 3	
	NOP				; 4	
	NOP				; 5	
	NOP				; 6	
	NOP				; 7	
	NOP				; 8	
	NOP				; 9	
	NOP				; 10
	NOP				; 11
	NOP				; 12
	NOP				; 13
	NOP				; 14
	NOP				; 15
	NOP				; 16
	NOP				; 17
	NOP				; 18
	NOP				; 19
	NOP				; 20
ret					; 5	
; ##############################################################################
; ##############################################################################
; ##############################################################################
;  4,7 s PAUSE																	
; bei 22 MHZ (103TAKTE)															
; rcall 4 TAKTE																	
; call  5 TAKTE																	
; ret   5 TAKTE																	
WAIT_4_7us:			; 5	
	call WAIT_2us 	; (44 TAKTE)	
	call WAIT_2us 	; (44 TAKTE)	
	NOP				; 1	
	NOP				; 2	
	NOP				; 3	
	NOP				; 4	
	NOP				; 5	
ret					; 5	
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 5,8 s PAUSE																	
; bei 22 MHZ (128 TAKTE)														
; rcall 4 TAKTE																	
; call  5 TAKTE																	
; ret   5 TAKTE																	
WAIT_5_8us:			; 5	
	call WAIT_2us 	; (44 TAKTE)	
	call WAIT_2us 	; (44 TAKTE)	
	call WAIT_1us 	; (22 TAKTE)	
	NOP				; 1	
	NOP				; 2	
	NOP				; 3	
	NOP				; 4	
	NOP				; 5	
	NOP				; 6	
	NOP				; 7	
	NOP				; 8	
ret					; 5	
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 10 s PAUSE																	
; bei 22 MHZ (220 TAKTE)														
; rcall 4 TAKTE																	
; call  5 TAKTE																	
; ret   5 TAKTE																	
WAIT_10us:			; 5
	call WAIT_2us ; (44 TAKTE)	
	call WAIT_2us ; (44 TAKTE)	
	call WAIT_2us ; (44 TAKTE)	
	call WAIT_2us ; (44 TAKTE)	
	call WAIT_1us ; (22 TAKTE)	
	NOP				; 1	
	NOP				; 2	
	NOP				; 3	
	NOP				; 4	
	NOP				; 5	
	NOP				; 6	
	NOP				; 7	
	NOP				; 8	
	NOP				; 9	
	NOP				; 10
	NOP				; 11
	NOP				; 12
ret					; 5
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 27,3 s PAUSE																	
; bei 22 MHZ (601 TAKTE)														
; rcall 4 TAKTE																	
; call  5 TAKTE																	
; ret   5 TAKTE																	
wait_27_3us:			; 5				
	call WAIT_10us		; (220 TAKTE)	
	call WAIT_10us		; (220 TAKTE)	
	call WAIT_2us 		; (44 TAKTE)	
	call WAIT_2us 		; (44 TAKTE)	
	call WAIT_2us 		; (44 TAKTE)	
	NOP					; 1	
	NOP					; 2	
	NOP					; 3	
	NOP					; 4	
	NOP					; 5	
	NOP					; 6	
	NOP					; 7	
	NOP					; 8	
	NOP					; 9	
	NOP					; 10
	NOP					; 11
	NOP					; 12
	NOP					; 13
	NOP					; 14
	NOP					; 15
	NOP					; 16
	NOP					; 17
	NOP					; 18
	NOP					; 19
ret						; 5	
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 29,65 s 																		
; bei 22 MHZ (652 TAKTE)														
; rcall 4 TAKTE																	
; call  5 TAKTE																	
; ret   5 TAKTE																	
wait_29_65us:			; 5	
	call WAIT_10us		; (220 TAKTE)	
	call WAIT_10us		; (220 TAKTE)	
	call WAIT_2us 		; (44 TAKTE)	
	call WAIT_2us 		; (44 TAKTE)	
	call WAIT_2us 		; (44 TAKTE)	
	call WAIT_2us 		; (44 TAKTE)	
	call WAIT_1us 		; (22 TAKTE)	
	NOP					; 1	
	NOP					; 2	
	NOP					; 3	
	NOP					; 4	
ret						; 5	
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 100 s PAUSE																	
; bei 20 MHZ (2000 TAKTE)														
; rcall 4 TAKTE																	
; call  5 TAKTE																	
; ret   5 TAKTE																	
wait_100us:  			; 5
	call WAIT_10us  ; (200 TAKTE)	
	call WAIT_10us  ; (200 TAKTE)	
	call WAIT_10us  ; (200 TAKTE)	
	call WAIT_10us  ; (200 TAKTE)	
	call WAIT_10us  ; (200 TAKTE)	
	call WAIT_10us  ; (200 TAKTE)	
	call WAIT_10us  ; (200 TAKTE)	
	call WAIT_10us  ; (200 TAKTE)	
	call WAIT_10us  ; (200 TAKTE)	1800
	call WAIT_2us 	 ; (40 TAKTE)	
	call WAIT_2us 	 ; (40 TAKTE)	
	call WAIT_2us 	 ; (40 TAKTE)	
	call WAIT_2us 	 ; (40 TAKTE)	1960
	call WAIT_1us   ; (20 TAKTE)	1980
	NOP	; 1	
	NOP	; 2	
	NOP	; 3	
	NOP	; 4	
	NOP	; 5	
	NOP	; 6	
	NOP	; 7	
	NOP	; 8	
	NOP	; 9	
	NOP	; 10
	WDR	; 11 (WDR)
ret			; 5
; ##############################################################################
; ##############################################################################
; ##############################################################################
wait_1ms:                               
	PUSH temp	; Sicherungskopie	
	PUSH temp1	; Sicherungskopie	
	WDR			; WDR				
  	ldi  TEMP,33
wait_1ms0:  
	ldi  TEMP1,201
wait_1ms1:  
	dec  TEMP1
    brne wait_1ms1
    dec  TEMP
    brne wait_1ms0
	POP temp1	; wieder herstellen	
	POP temp	; wieder herstellen	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
wait_2ms:                               
	rcall wait_1ms
	rjmp  wait_1ms
; ##############################################################################
; ##############################################################################
; ##############################################################################
wait_5ms:                               
	rcall wait_2ms
	rcall wait_2ms
	rjmp  wait_1ms
; ##############################################################################
; ##############################################################################
; ##############################################################################
wait_10ms:                               
	PUSH temp	; Sicherungskopie	
	PUSH temp1	; Sicherungskopie	
	PUSH temp2	; Sicherungskopie	
	WDR			; WDR				
    ldi  TEMP,6
wait_10ms0:  
	ldi  TEMP1,55
wait_10ms1:  
	ldi  TEMP2,201
wait_10ms2:  
	dec  TEMP2
    brne wait_10ms2
   	dec  TEMP1
    brne wait_10ms1
    dec  TEMP
    brne wait_10ms0
	POP temp2	; wieder herstellen	
	POP temp1	; wieder herstellen	
	POP temp	; wieder herstellen	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
wait_20ms:                               
	rcall wait_10ms
	rjmp  wait_10ms
; ##############################################################################
; ##############################################################################
; ##############################################################################
wait_50ms:                               
	rcall wait_20ms
	rcall wait_20ms
	rjmp  wait_10ms
; ##############################################################################
; ##############################################################################
; ##############################################################################
WAIT_100ms:
	PUSH temp	; Sicherungskopie	
	PUSH temp1	; Sicherungskopie	
	PUSH temp2	; Sicherungskopie	
    ldi  TEMP,18
WAIT_100ms0:  
	ldi  TEMP1,188
WAIT_100ms1:  
	ldi  TEMP2,196
WAIT_100ms2:  
	dec  TEMP2
    brne WAIT_100ms2
    dec  TEMP1
    brne WAIT_100ms1
	WDR
    dec  TEMP
    brne WAIT_100ms0
	POP temp2	; wieder herstellen	
	POP temp1	; wieder herstellen	
	POP temp	; wieder herstellen	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
wait_200ms:                               
	WDR
	rcall WAIT_100ms
	rjmp  WAIT_100ms
; ##############################################################################
; ##############################################################################
; ##############################################################################
wait_500ms:                               
	rcall WAIT_200ms
	rcall WAIT_200ms
	rjmp  WAIT_100ms
; ##############################################################################
; ##############################################################################
; ##############################################################################
WAIT_1s:
	rcall WAIT_500ms
	rjmp  WAIT_500ms
; ##############################################################################
; ##############################################################################
; ##############################################################################
WAIT_10s:
	rcall WAIT_1s
	rcall WAIT_1s
	rcall WAIT_1s
	rcall WAIT_1s
	rcall WAIT_1s
	rcall WAIT_1s
	rcall WAIT_1s
	rcall WAIT_1s
	rcall WAIT_1s
	rjmp  WAIT_1s
; ##############################################################################
; ##############################################################################
; ##############################################################################
